## ros-one-imu-processors 0.3.1-0jammy.20251023.0851

=== debian/changelog ===
ros-one-imu-processors (0.3.1-0jammy.20251023.0851) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 23 Oct 2025 08:51:38 +0000

ros-one-imu-processors (0.3.1-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 22 Nov 2022 00:00:00 -0000

ros-one-imu-processors (0.3.0-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Updated to package.xml format 2.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 04 Jun 2020 00:00:00 -0000

ros-one-imu-processors (0.2.3-0jammy) jammy; urgency=high

  * Updated maintainers.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 00:00:00 -0000

ros-one-imu-processors (0.2.2-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 00:00:00 -0000

ros-one-imu-processors (0.2.1-0jammy) jammy; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-imu-processors (0.2.0-0jammy) jammy; urgency=high

  * Move misc processors into imu_processors
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 00:00:00 -0000

ros-one-imu-processors (0.1.1-0jammy) jammy; urgency=high

  * Added tool to null out gyro bias based on cmd_vel or odom.
  * Merge branch 'hydro-devel' of https://github.com/ros-perception/imu_pipeline into hydro-devel
  * Added imu_integrator.
  * Merge pull request #2 <https://github.com/ros-perception/imu_pipeline/issues/2> from ros-perception/groovy-devel
    Updated packaged name to imu_pipeline
  * Updated packaged name to imu_pipeline
  * Catkinized, updated for Groovy.
  * Initial github commit
  * Initial commit

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 00:00:00 -0000

## ros-one-imu-processors 0.3.1-0jammy.20251207.2146

=== debian/changelog ===
ros-one-imu-processors (0.3.1-0jammy.20251207.2146) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 07 Dec 2025 21:46:04 +0000

## ros-one-imu-processors 0.3.1-0jammy.20260221.0142

=== debian/changelog ===
ros-one-imu-processors (0.3.1-0jammy.20260221.0142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sat, 21 Feb 2026 01:42:01 +0000

## ros-one-imu-processors 0.3.1-0noble.20251023.0859

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 3.0.2)
project(imu_processors)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED roscpp sensor_msgs geometry_msgs nav_msgs tf)

catkin_package(
  INCLUDE_DIRS
  LIBRARIES
  CATKIN_DEPENDS roscpp sensor_msgs geometry_msgs nav_msgs tf
)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(imu_integrator src/imu_integrator.cpp)
target_link_libraries(imu_integrator ${catkin_LIBRARIES})

add_executable(imu_bias_remover src/imu_bias_remover.cpp)
target_link_libraries(imu_bias_remover ${catkin_LIBRARIES})

# Install targets
install(TARGETS imu_integrator imu_bias_remover
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-one-imu-processors (0.3.1-0noble.20251023.0859) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 23 Oct 2025 08:59:49 +0000

ros-one-imu-processors (0.3.1-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 22 Nov 2022 00:00:00 -0000

ros-one-imu-processors (0.3.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Updated to package.xml format 2.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 04 Jun 2020 00:00:00 -0000

ros-one-imu-processors (0.2.3-0noble) noble; urgency=high

  * Updated maintainers.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 00:00:00 -0000

ros-one-imu-processors (0.2.2-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 00:00:00 -0000

ros-one-imu-processors (0.2.1-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-imu-processors (0.2.0-0noble) noble; urgency=high

  * Move misc processors into imu_processors
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 00:00:00 -0000

ros-one-imu-processors (0.1.1-0noble) noble; urgency=high

  * Added tool to null out gyro bias based on cmd_vel or odom.
  * Merge branch 'hydro-devel' of https://github.com/ros-perception/imu_pipeline into hydro-devel
  * Added imu_integrator.
  * Merge pull request #2 <https://github.com/ros-perception/imu_pipeline/issues/2> from ros-perception/groovy-devel
    Updated packaged name to imu_pipeline
  * Updated packaged name to imu_pipeline
  * Catkinized, updated for Groovy.
  * Initial github commit
  * Initial commit

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-imu-processors
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf
Homepage: http://ros.org/wiki/imu_processors
Standards-Version: 3.9.2

Package: ros-one-imu-processors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf
Description: Processors for sensor_msgs::Imu data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-imu-processors//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-imu-processors 0.3.1-0noble.20251208.0845

=== debian/changelog ===
ros-one-imu-processors (0.3.1-0noble.20251208.0845) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 08 Dec 2025 08:45:32 +0000

## ros-one-imu-processors 0.3.1-0noble.20260221.2112

=== debian/changelog ===
ros-one-imu-processors (0.3.1-0noble.20260221.2112) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sat, 21 Feb 2026 21:12:27 +0000
